acosh(3)

NAME
acosh, acoshf, acoshl - inverse hyperbolic cosine function

LIBRARY
Math library (libm, -lm)

SYNOPSIS
#include <math.h>

double acosh(double x);
float acoshf(float x);
long double acoshl(long double x);

    Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

acosh():
    _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L
        || _XOPEN_SOURCE >= 500
        || /* Since glibc 2.19: */ _DEFAULT_SOURCE
        || /* glibc <= 2.19: */ _BSD_SOURCE || _SVID_SOURCE

acoshf(), acoshl():
    _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L
        || /* Since glibc 2.19: */ _DEFAULT_SOURCE
        || /* glibc <= 2.19: */ _BSD_SOURCE || _SVID_SOURCE

DESCRIPTION
These functions calculate the inverse hyperbolic cosine of x; that is the value whose hyperbolic cosine is x.

RETURN VALUE
On success, these functions return the inverse hyperbolic cosine of x.

If x is a NaN, a NaN is returned.

If x is +1, +0 is returned.

If x is positive infinity, positive infinity is returned.

If x is less than 1, a domain error occurs, and the functions return a NaN.

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions.

The following errors can occur:

Domain error: x is less than 1
    errno is set to EDOM. An invalid floating-point exception (FE_INVALID) is raised.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C11, POSIX.1-2008.

HISTORY
C99, POSIX.1-2001.

The variant returning double also conforms to SVr4, 4.3BSD.

SEE ALSO
asinh(3), atanh(3), cacosh(3), cosh(3), sinh(3), tanh(3)